# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/regulator/max8660.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Maxim MAX8660 voltage regulator

maintainers:
  - Daniel Mack <zonque@gmail.com>

properties:
  $nodename:
    pattern: "pmic@[0-9a-f]{1,2}"
  compatible:
    enum:
      - maxim,max8660
      - maxim,max8661

  reg:
    maxItems: 1

  regulators:
    type: object

    patternProperties:
      "regulator-.+":
        $ref: "regulator.yaml#"

    additionalProperties: false

additionalProperties: false

examples:
  - |
    i2c {
      #address-cells = <1>;
      #size-cells = <0>;

      pmic@34 {
        compatible = "maxim,max8660";
        reg = <0x34>;

        regulators {
          regulator-V3 {
            regulator-compatible= "V3(DCDC)";
            regulator-min-microvolt = <725000>;
            regulator-max-microvolt = <1800000>;
          };

          regulator-V4 {
            regulator-compatible= "V4(DCDC)";
            regulator-min-microvolt = <725000>;
            regulator-max-microvolt = <1800000>;
          };

          regulator-V5 {
            regulator-compatible= "V5(LDO)";
            regulator-min-microvolt = <1700000>;
            regulator-max-microvolt = <2000000>;
          };

          regulator-V6 {
            regulator-compatible= "V6(LDO)";
            regulator-min-microvolt = <1800000>;
            regulator-max-microvolt = <3300000>;
          };

          regulator-V7 {
            regulator-compatible= "V7(LDO)";
            regulator-min-microvolt = <1800000>;
            regulator-max-microvolt = <3300000>;
          };
        };
      };
    };
...
